Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.util
[Java] Class MockRequestDataValueProcessor

    java.lang.Object
      grails.util.MockRequestDataValueProcessor

All Implemented Interfaces:
  org.springframework.web.servlet.support.RequestDataValueProcessor

    public class MockRequestDataValueProcessor
    extends java.lang.Object

Method Summary
`java.util.Map` | `getExtraHiddenFields(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` | `processAction(javax.servlet.http.HttpServletRequest request, java.lang.String action)`
`java.lang.String` | `processFormFieldValue(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.String value, java.lang.String type)`
`java.lang.String` | `processUrl(javax.servlet.http.HttpServletRequest request, java.lang.String url)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getExtraHiddenFields

    public java.util.Map getExtraHiddenFields(javax.servlet.http.HttpServletRequest request)

### processAction

    public java.lang.String processAction(javax.servlet.http.HttpServletRequest request, java.lang.String action)

### processFormFieldValue

    public java.lang.String processFormFieldValue(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.String value, java.lang.String type)

### processUrl

    public java.lang.String processUrl(javax.servlet.http.HttpServletRequest request, java.lang.String url)

Groovy Documentation